Bug 10313 - Не везде используется --save-fakeroot
: Не везде используется --save-fakeroot
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt3)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-11-23 22:01 by
Modified: 2007-09-22 11:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-23 22:01:31
Не везде используется --save-fakeroot при вызове hsh-run --rooter, в рез-те в 
создаваемом образе как минимум слетают владельцы файлов.
------- Comment #1 From 2006-11-23 23:31:18 -------
Справедливо. Исправлю.
------- Comment #2 From 2006-11-24 03:12:00 -------
Единообразие, конечно, хорошо в любом случае.
Но мне кажется, что если "hsh --initroot" был выполнен с использованием
--save-fakeroot, то было бы логично, чтобы последующие запуски hsh-run
наследовали --save-fakeroot.
------- Comment #3 From 2007-01-18 23:47:26 -------
Fixed in 0.1-alt7
------- Comment #4 From 2007-01-18 23:53:52 -------
Можно было уже и не исправлять.  Цитирую hasher %changelog:

* Thu Jan 04 2007 Dmitry V. Levin <ldv@altlinux> 1.1.0-alt1
- hsh-install, hsh-rebuild, hsh-run, hsh-shell:
  Deprecated --save-fakeroot option.
* Sun Dec 10 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.35-alt1
- functions (create_entry_fakeroot_header): Load/save fakeroot state
  iff /.fakedata exists, regardless of --save-fakeroot value (#10313).
------- Comment #5 From 2007-01-19 00:34:55 -------
Там просто скопированы из spt функции для выполнения в chroot подготовленного
скрипта и одной команды. Из них --save-fakeroot уберем.